Subject: RE: [mobile-ip] Re: Request to add an error code in RFC2794(NAI)

From: [email-masked]
Date: Tue, 3 Apr 2001 17:30:04 -0500

>> Samita:
> > We have encountered an operator's scenario where home-agent has
> > a bad behavior and assigns duplicate home-addr to multiple
> > mobile nodes visiting the same FA. Now the question is
> > how would the FA communicate this wrong behavior to MN ? 
> > The existing error codes in rfc2794 do not cover this particular
> > case. Also it's possible that a ill-behaving HA may allocate
> > addresses like 255.255.255.255 or 0.0.0.0 etc.
> Pat: 
> Indeed that is a good question. So MN1 registers and gets 
> 10.1.1.1. Now MN2
> registers and gets the same address (10.1.1.1). When the 
> registration reply is
> received on the FA, it detects that the HA is broken (well, 
> it *thinks* it is
> broken, but it MAY have rebooted and lost all of its state, hence the
> duplicate address). The issue, as I understand it is that you want to
> communicate this particular error to the mobile, correct?
> 
> > 
> > We think it will be good idea to have a specific error code
> > to cover this case. So, we are proposing an additional error code
> > in rfc2794 for this purpose:
> > 
> > INVALID_HOMEADDR    100    (Invalid homeaddress assignment) 
> 
> I believe that I understand the problem, but let us keep in 
> mind that this
> error code is to protect against bad behavior, right? For 
> that reason, I feel
> uncomfortable having a new error code, because doing so 
> sort-of implies that
> it is ok to be broken. There are plentry of other ways an HA 
> can be broken,
> and there is no specific error code to cover that case, such as:
> 
> (e.g. NO_MORE_MEMORY_TO_ALLOCATE_VISITOR_ENTRY		
> 666) :) :)
> 
> So, why would this one specific error be different?
> 
> Do others feel this is something that needs to be specified?
> 

Not if you do not have to. 

> Chairs, would adding a new error code to RFC 2794 require 
> that it re-cycle
> back to proposed standard?
> 

Adding new error code(s) to cover various scenarios will definitely cause 
the RFC to be recycled (IMO). But I need to check to see the process and see
if adding error codes will cause that.

> Thanks,
> PatC

---

From: Patrice Calhoun <[email-masked]>
Date: Tue, 3 Apr 2001 15:40:30 -0700 (PDT)

> Not if you do not have to. 

Then I would opt for 64 (reason unspecified). A mobile node can always try
another Home Agent, if it wishes to (although, this is easier said than done).

> if adding error codes will cause that.

Which simply adds more reluctance on my part to change the RFC.

PatC